List data requests
List data requests
Returns the authenticated customer’s GDPR data requests, most recent first
GET
List data requests
Authorizations
Publishable API key for store access
JWT token for authenticated customers
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
const options = {
method: 'GET',
headers: {'x-spree-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('http://{defaultHost}/api/v3/store/customers/me/data_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me/data_requests \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "dsr_UkLWZg9DAJ",
"number": "DSR1001",
"kind": "access",
"status": "pending",
"requested_at": "2026-01-15T12:00:00Z",
"completed_at": null,
"expires_at": null,
"download_url": null
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 1,
"pages": 1,
"from": 1,
"to": 1,
"in": 1,
"previous": null,
"next": null
}
}Returns the authenticated customer’s GDPR data requests, most recent first
const options = {
method: 'GET',
headers: {'x-spree-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('http://{defaultHost}/api/v3/store/customers/me/data_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me/data_requests \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "dsr_UkLWZg9DAJ",
"number": "DSR1001",
"kind": "access",
"status": "pending",
"requested_at": "2026-01-15T12:00:00Z",
"completed_at": null,
"expires_at": null,
"download_url": null
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 1,
"pages": 1,
"from": 1,
"to": 1,
"in": 1,
"previous": null,
"next": null
}
}Publishable API key for store access
JWT token for authenticated customers
Was this page helpful?
